

/*
 
 DistanzSensor2
 
 Code for Ultrasonic sensor HC–RS04 
 created by Rui Santos, https://randomnerdtutorials.com

 Distance display with status LED's (green, yellow, red)
 for checking the fill level e.g. of a Meischenfass 

 modified 21.11.18
 by Chris Obrist


 */
 
int trigPin = 11;    // Trigger
int echoPin = 12;    // Echo
long duration, cm;
 
void setup() {
  //Serial Port begin
  Serial.begin (9600);
  //Define inputs and outputs
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);

  pinMode(8,OUTPUT);
  pinMode(9,OUTPUT);
  pinMode(10,OUTPUT);
}
 
void loop() {

cm = readSensorDist();

if(cm < 35) {
  digitalWrite(8, HIGH);
  digitalWrite(9, HIGH);
  digitalWrite(10, HIGH);
}

else if(cm > 35 && cm < 50) {
  digitalWrite(8, LOW);
  digitalWrite(9, HIGH);
  digitalWrite(10, HIGH);
}

else if(cm > 50) {
  digitalWrite(8, LOW);
  digitalWrite(9, LOW);
  digitalWrite(10, HIGH);
}

  Serial.print(cm);
  Serial.print("cm");
  Serial.println();


delay(10);
  
}


int readSensorDist() {

  // The sensor is triggered by a HIGH pulse of 10 or more microseconds.
  // Give a short LOW pulse beforehand to ensure a clean HIGH pulse:
  digitalWrite(trigPin, LOW);
  delayMicroseconds(5);
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);
 
  // Read the signal from the sensor: a HIGH pulse whose
  // duration is the time (in microseconds) from the sending
  // of the ping to the reception of its echo off of an object.
  pinMode(echoPin, INPUT);
  duration = pulseIn(echoPin, HIGH);
 
  // Convert the time into a distance
  return (duration/2) / 29.1;     // Divide by 29.1 or multiply by 0.0343

  
  delay(250);


}
