/*
  Blink without Delay

  modified 21.11.18
  by Chris Obrist
 
  http://www.arduino.cc/en/Tutorial/BlinkWithoutDelay
*/


int ledPin =  10;                   // the number of the LED pin
int ledState = LOW;                 // ledState used to set the LED
unsigned long previousMillis = 0;   // will store last time LED was updated
long OnTime = 1000;                  // milliseconds of on-time
long OffTime = 100;                 // milliseconds of off-time
     
void setup() {
      pinMode(ledPin, OUTPUT);      
}
     
void loop() {
   unsigned long currentMillis = millis();
     
   if((ledState == HIGH) && (currentMillis - previousMillis >= OnTime)) {
     ledState = LOW;                        // Turn it off
     previousMillis = currentMillis;        // Remember the time
     digitalWrite(ledPin, ledState);        // Update the actual LED
     
   } else if ((ledState == LOW) && (currentMillis - previousMillis >= OffTime)) {
     ledState = HIGH;                       // turn it on
     previousMillis = currentMillis;        // Remember the time
     digitalWrite(ledPin, ledState);        // Update the actual LED
   }
}
